Package org.kapott.hbci.structures

# Class Konto

java.lang.Object
org.kapott.hbci.structures.Konto

All Implemented Interfaces:
  `Serializable`

public class Konto extends Object implements Serializable
Kontoverbindung. Diese Klasse repräsentiert eine einzelne Kontoverbindung eines Kunden bei einer Bank.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`acctype`
Kontoart (Girokonto, Sparkonto, Festgeldkonto, Kreditkartenkonto, etc.) laut Segmentversion 5,6 von HIUPD.
`List`
`allowedGVs`
`String`
`bic`
BIC des Kontos
`String`
`blz`
Bankleitzahl der kontoführenden Bank
`String`
`country`
Länderkennzeichen des Kontos.
`String`
`curr`
Währung des Kontos.
`String`
`customerid`
Kreditinstitusseitiger Kundenname.
`String`
`iban`
IBAN des Kontos
`Limit`
`limit`
`String`
`name`
Name des Kontoinhabers.
`String`
`name2`
Name des Kontoinhabers (Fortsetzung) (optional).
`String`
`number`
Kontonummer des Kontos
`String`
`subnumber`
Unterkontomerkmal des Kontos, kann `null` sein
`String`
`type`
Name (Typ) des Kontos.

## Constructor Summary

Constructors
Constructor
Description
`Konto()`
Anlegen eines neuen Konto-Objektes.
`Konto(String blz, String number)`
Anlegen eines neuen Konto-Objektes.
`Konto(String country, String blz, String number)`
Anlegen eines neuen Konto-Objektes.
`Konto(String country, String blz, String number, String subnumber)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`checkCRC()`
Überprüfen der Kontonummer anhand des Prüfzifferverfahrens, welche für die Bank mit der Bankleitzahl `blz` gilt.
`boolean`
`checkIBAN()`
`boolean`
`equals(Object o)`
`boolean`
`isSEPAAccount()`
Gibt `true` zurück, wenn sich dieses Konto für SEPA-GVs verwenden lässt
`String`
`toString()`
Umwandeln der Kontoinformationen in einen String.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### country

public String country
Länderkennzeichen des Kontos. Normalerweise ist hier der Wert `DE` für Deutschland einzustellen.

### blz

public String blz
Bankleitzahl der kontoführenden Bank

### number

public String number
Kontonummer des Kontos

### subnumber

public String subnumber
Unterkontomerkmal des Kontos, kann `null` sein

### acctype

public String acctype
Kontoart (Girokonto, Sparkonto, Festgeldkonto, Kreditkartenkonto, etc.) laut Segmentversion 5,6 von HIUPD. Wird bspw. bei DeuBa-Konten benötigt da dort verschiedene Konten genau die gleiche Kontonummer haben bzw. sich nur in der Kontoart unterscheiden

### type

public String type
Name (Typ) des Kontos. Dieses Feld ist nur für Konten verfügbar, auf die der Anwender via HBCI Zugriff hat. Für alle anderen Konten ist dieser Wert `null`

### curr

public String curr
Währung des Kontos. Hier ist in der Regel `EUR` für EURO gespeichert.

### customerid

public String customerid
Kreditinstitusseitiger Kundenname. Dieser Wert gibt an, unter welcher Kunden-ID ein Bankkunde Zugriff auf dieses Konto hat. Dieser Wert ist nur für Konten verfügbar, auf die der Anwender Zugriff via HBCI hat, für alle anderen Konten ist dieser Wert `null`. Falls eine Bank Informationen über alle Konten bereitstellt, auf die ein Nutzer via HBCI Zugriff hat, so kann dieses Feld beim Hinzufügen von Aufträgen via `HBCIJob.addToQueue(String)` ausgewertet werden.

### name

public String name
Name des Kontoinhabers. Hier wird bei eigenen Konten der Inhabername eingestellt, wie er von der Bank bereitgestellt wird. Bei fremden Konten (z.B. bei den Konten, die als Gegenkonten auf einem Kontoauszug erscheinen) wird hier der Name eingestellt, wie er in den Auftragsdaten von der Bank geführt wird.

### name2

public String name2
Name des Kontoinhabers (Fortsetzung) (optional).

### limit

public Limit limit

### allowedGVs

public List allowedGVs

### bic

public String bic
BIC des Kontos

### iban

public String iban
IBAN des Kontos

## Constructor Details

### Konto

public Konto()
Anlegen eines neuen Konto-Objektes. Die Währung wird auf `EUR` voreingestellt

### Konto

public Konto(String blz, String number)
Anlegen eines neuen Konto-Objektes. Die Währung wird auf `EUR` voreingestellt. Es werden BLZ und Kontonummer angegeben. Die Länderkennung wird auf `DE` voreingestellt.

Parameters:
  `blz` - Bankleitzahl der kontoführenden Bank
  `number` - Kontonummer des Kontos

### Konto

public Konto(String country, String blz, String number)
Anlegen eines neuen Konto-Objektes. Die Währung wird auf `EUR` voreingestellt. Es werden BLZ, Länderkennung und Kontonummer angegeben.

Parameters:
  `country` - die Länderkennung des kontoführenden Institutes (normalerweise `DE`)
  `blz` - Bankleitzahl der kontoführenden Bank
  `number` - Kontonummer des Kontos

### Konto

public Konto(String country, String blz, String number, String subnumber)

## Method Details

### toString

public String toString()
Umwandeln der Kontoinformationen in einen String.

Overrides:
  `toString` in class `Object`
Returns:
  Stringdarstellung der Kontoverbindung

### checkCRC

public boolean checkCRC()
Überprüfen der Kontonummer anhand des Prüfzifferverfahrens, welche für die Bank mit der Bankleitzahl `blz` gilt. Der Aufruf dieser Methode setzt voraus, dass in diesem Kontoobjekt bereits `blz` und `number` gesetzt sind. Diese Werte werden der Methode `HBCIUtils.checkAccountCRC(String,String)` zur Überprüfung übergeben.

Returns:
  es wird nur dann `false` zurückgegeben, wenn das Prüfzifferverfahren für die jeweilige Bank implementiert ist und die Prüfung der Kontonummer einen Fehler ergibt. In jedem anderen Fall wird `true` zurückgegeben

### checkIBAN

public boolean checkIBAN()

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### isSEPAAccount

public boolean isSEPAAccount()
Gibt `true` zurück, wenn sich dieses Konto für SEPA-GVs verwenden lässt